Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousUnionPayload

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousUnionPayload

- Enclosing class:
    Perfstat.perfstat_protocol_t

      public static class Perfstat.perfstat_protocol_t.AnonymousUnionPayload
      extends Union

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Perfstat.perfstat_protocol_t.AnonymousStructICMP` | `icmp` |
    `Perfstat.perfstat_protocol_t.AnonymousStructICMPv6` | `icmpv6` |
    `Perfstat.perfstat_protocol_t.AnonymousStructIP` | `ip` |
    `Perfstat.perfstat_protocol_t.AnonymousStructIPv6` | `ipv6` |
    `Perfstat.perfstat_protocol_t.AnonymousStructNFS` | `nfs` |
    `Perfstat.perfstat_protocol_t.AnonymousStructNFSv2` | `nfsv2` |
    `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3` | `nfsv3` |
    `Perfstat.perfstat_protocol_t.AnonymousStructNFSv4` | `nfsv4` |
    `Perfstat.perfstat_protocol_t.AnonymousStructRPC` | `rpc` |
    `Perfstat.perfstat_protocol_t.AnonymousStructTCP` | `tcp` |
    `Perfstat.perfstat_protocol_t.AnonymousStructUDP` | `udp` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnonymousUnionPayload()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Union

      `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ip

          public Perfstat.perfstat_protocol_t.AnonymousStructIP ip

    - #### ipv6

          public Perfstat.perfstat_protocol_t.AnonymousStructIPv6 ipv6

    - #### icmp

          public Perfstat.perfstat_protocol_t.AnonymousStructICMP icmp

    - #### icmpv6

          public Perfstat.perfstat_protocol_t.AnonymousStructICMPv6 icmpv6

    - #### udp

          public Perfstat.perfstat_protocol_t.AnonymousStructUDP udp

    - #### tcp

          public Perfstat.perfstat_protocol_t.AnonymousStructTCP tcp

    - #### rpc

          public Perfstat.perfstat_protocol_t.AnonymousStructRPC rpc

    - #### nfs

          public Perfstat.perfstat_protocol_t.AnonymousStructNFS nfs

    - #### nfsv2

          public Perfstat.perfstat_protocol_t.AnonymousStructNFSv2 nfsv2

    - #### nfsv3

          public Perfstat.perfstat_protocol_t.AnonymousStructNFSv3 nfsv3

    - #### nfsv4

          public Perfstat.perfstat_protocol_t.AnonymousStructNFSv4 nfsv4

  - ### Constructor Detail

    - #### AnonymousUnionPayload

          public AnonymousUnionPayload()